Last modified: 2013-11-26 22:03:10 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 52224 - Clarify or improve several configuration settings messages
Clarify or improve several configuration settings messages
Status: NEW
Product: MediaWiki extensions
Classification: Unclassified
Configure (Other open bugs)
master
All All
: Normal normal (vote)
: ---
Assigned To: Alexandre Emsenhuber [IAlex]
: easy, i18n
Depends on:
Blocks: messages
  Show dependency treegraph
 
Reported: 2013-07-29 15:20 UTC by Nemo
Modified: 2013-11-26 22:03 UTC (History)
3 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments

Description Nemo 2013-07-29 15:20:17 UTC
Several issues with the current messages in the Configure extension has been reported on translatewiki.net and more have been found on closer inspection:
https://translatewiki.net/wiki/Thread:Support/About_MediaWiki:Configure-setting-wgCacheVaryCookies/pl
https://translatewiki.net/wiki/Thread:Support/About_MediaWiki:Configure-setting-wgCountTotalSearchHits/pl
https://translatewiki.net/wiki/Thread:Support/About_MediaWiki:Configure-setting-wgDBtestuser/pl
https://translatewiki.net/wiki/Thread:Support/About_MediaWiki:Configure-setting-wgEnableCreativeCommonsRdf/pl
https://translatewiki.net/wiki/Thread:Support/About_MediaWiki:Configure-setting-wgFilterLogTypes/en
https://translatewiki.net/wiki/Thread:Support/About_MediaWiki:Configure-setting-wgInternalServer/pl
https://translatewiki.net/wiki/Thread:Support/About_MediaWiki:Configure-setting-wgMaxSquidPurgeTitles/en
https://translatewiki.net/wiki/Thread:Support/About_MediaWiki:Configure-setting-wgPoolCounterConf/pl
https://translatewiki.net/wiki/Thread:Support/About_MediaWiki:Configure-setting-wgUserrightsInterwikiDelimiter/pl

The extension mostly pulled the settings summaries from the wiki, with some adaptations, and this is enough of a task; Matma Rex produced a script to compare wiki and extension and align them, but it seems that can't be done automatically, so the patch was abandoned.
http://pastebin.com/ccyvcZWL
https://gerrit.wikimedia.org/r/#/c/40290/

Someone else may want to follow another approach, but as translating these messages is a lot of work (dozens thousands translations across all languages) in a way or another they have to be improved, or if there is no clear future for this extension it should be removed from translation.

(Personally I'd work on this if bug 43380 was fixed because then the translations would become very valuable, but maybe someone still cares about the extension too.)
Comment 1 Nemo 2013-11-19 12:36:38 UTC
Adding many blockers of bug 38638 to the list of "easy" bugs, to mark them as candidates for [[mw:Google Code-in]] tasks (gci2013). If you think this bug is not suitable, remove the keyword.

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links